Subject: Re: ITIMER Implementation???
From: [email-masked] (Jeremy Allison)

4 Dec 1996 16:35:34 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: Alessandro Forin <[email-masked]>
Original-cc: "'Jeremy Allison'" <[email-masked]>,
        "'Colin Peters'" <[email-masked]>,
        "'GNU-Win32'" <[email-masked]>
In-reply-to: Your message of "Wed, 04 Dec 1996 15:21:09 PST."
             <c=US%a=_%p=msft%l=[email-masked]> 
Original-Sender: [email-masked]

Alessandro,

You misunderstand me :-)

> Stereotypes dont help you understand the world.  In this case, this
> urban legend
> of "undocumented calls for <malignant use>" that you apply really has no
> substance
> whatsoever [that I know of].

I don't think the undocumented calls are for malignant use. I think
they are mainly undocumented because it's a *lot* of work to document
them :-). I have worked with Microsoft on the CIFS spec and
the reason most of the domain logon API's aren't documented is the
Microsoft CIFS contact would have to go through many IDL files and 
dump out the parameters (he once threatened us with just dumping the 
IDL files on us and 'letting us work them out' - he got no takers :-).

But there are undocumented calls, that I know as a fact. 
The recently documented NT password synchronization calls built
into the SAM code are a good example. Microsoft uses these 
to synchronise Novell password databases with NT, and previous to NT 4.x
these calls were not available to external developers (and
I know because I asked for them). The information did
get out eventually, it's just frustrating to see Microsoft code
doing things that you know from the published API's your code can't
do yet.

Remember, the view of the documentation you get from inside
Microsoft is *very* different from that which the external
development community has.

I don't ascribe any particular intent to this, it is just
a fact I (and other non-internal Microsoft developers)
have to deal with on a daily basis.

Regards,

	Jeremy.
	[email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".